!
! $Id: $
!

      subroutine iniaqua(nlon,latfi,lonfi,iflag_phys)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!  Create an initial state (startphy.nc) for the physics
!  Usefull for idealised cases (e.g. aquaplanets or testcases)
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

      use phys_state_var_mod, only : rlat,rlon,
     &                               phys_state_var_init
      use mod_phys_lmdz_para, only : klon_omp
      use comgeomphy, only : rlond,rlatd
      implicit none
      
      integer,intent(in) :: nlon,iflag_phys
      real,intent(in) :: lonfi(nlon),latfi(nlon)

! local variables
      real :: pi

! initializations:
      pi=2.*asin(1.)

      call phys_state_var_init()

      rlat(1:klon_omp)=rlatd(1:klon_omp)*180./pi
      rlon(1:klon_omp)=rlond(1:klon_omp)*180./pi


! Here you could create an initial condition for the physics
! ...
! ... fill in the fields...
! ...
! ... and create a "startphy.nc" file
      CALL phyredem ("startphy.nc")

      end

